## libnss-db 2.2.3pre1

=== debian/changelog ===
libnss-db (2.2.3pre1-9build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:22:41 +0000

libnss-db (2.2.3pre1-9build2) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:33:28 +0000

libnss-db (2.2.3pre1-9build1) noble; urgency=medium

  * No-change rebuild for glibc 2.39.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 10:25:18 +0100

libnss-db (2.2.3pre1-9) unstable; urgency=medium

  * QA upload.
  * Install into /usr/lib (DEP17 M2).

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Jan 2024 18:39:07 +0100

libnss-db (2.2.3pre1-8) unstable; urgency=medium

  * QA upload.
  * Drop non-existing Vcs-* fields.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 15:30:47 +0100

libnss-db (2.2.3pre1-7) unstable; urgency=medium

  * QA upload.
  * debian/patches/400-nss-files.patch: stop linking against libnss_files.
    Closes: #1016820.
  * debian/control: build-depends on libc-dev-bin (>= 2.34)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 08 Aug 2022 12:40:08 +0200

libnss-db (2.2.3pre1-6) unstable; urgency=medium

  * QA upload.
  * Bump debhelper and standards versions.
  * Enable parallel builds.
  * Move shared libraries into the multiarch location. Closes: #639496.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 20:57:08 +0200

libnss-db (2.2.3pre1-5) unstable; urgency=low

  * QA upload.
  * Remove old debian/packages file, unused since conversion from yada.
  * Convert to source format 3.0 (quilt) (closes: #679676).  Add po/Makevars
    to 080-translations.patch.  Refresh all patches.
  * Use dh_installman to install makedb.1.
  * Add debhelper token to libnss-db.postinst.
  * Link to a versioned copy of the GPL in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Oct 2012 00:29:58 +0100

libnss-db (2.2.3pre1-4) unstable; urgency=low

  * QA upload.
  * Switch maintainer to Debian QA group (see #636733)
  * Switch from yada to dh (closes: #636891).

 -- Julien Cristau <jcristau@debian.org>  Sun, 19 Feb 2012 18:02:37 +0100

libnss-db (2.2.3pre1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depends on libdb-dev (>> 4.6) instead of libdb4.6-dev.  Closes:
    #548484.
  * Fix security issue which allows to read arbitrary file contents
    (CVE-2010-0826), patch taken from Ubuntu. Closes: #577057.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 May 2011 07:31:48 +0200

libnss-db (2.2.3pre1-3.1) unstable; urgency=low

  * Porter NMU for GNU/kFreeBSD.
  * Update config.guess/sub from autotools-dev. Closes: #528325.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Jul 2009 02:06:56 +0200

libnss-db (2.2.3pre1-3) unstable; urgency=low

  * Applied all NMU patches. Closes: #460339, #460851, #344277, #361464,
    #379621, #441624, #391517.
  * Fixed bad 010-db2_upgrade_code.patch which broke this package.
    Closes: #460963.
  * Add Swedish translation to 080-translations.patch. Closes: #386615.
  * Updated 070-selinux.patch based on the latest Fedora.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 16 Jan 2008 17:22:21 +0100

libnss-db (2.2.3pre1-2.2) unstable; urgency=low

  * Non-maintainer upload to fix bugs introduced in the previous NMU.
  * Merge patch from Steve Langasek Closes: #460339
    + Bump Standards-Version to 3.7.3.
    + Removed 020-db4.3_usage.patch:
      - Linking with -ldb works fine, and lets us switch to db4.6.
    + Use bash for install, not sh, so that the current pushd usage
      doesn't cause a build failure when /bin/sh isn't bash.
      Closes: #379621.
    + Modified 070-selinux.patch:
      - Comparing x$selinux to "xno" works better than comparing it to
        "no"; fixes build failures on non-Linux archs.  Closes: #344277.
    + Modified 010-db2_upgrade_code.patch:
     - Only call db->upgrade if db->open return DB_OLD_VERSION.  Thanks
       to Dann Frazier <dannf@debian.org> for the patch.  Closes: #391517,
       #460851.
     - Merge 040-db4.3_api_change.patch into this one, since having
       multiple patches patching the same line is annoying.
  * debian/packages: use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM;
    needed to avoid accidental SELinux-less misbuilds if SELinux support is
    broken.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 11:36:50 +0100

libnss-db (2.2.3pre1-2.1) unstable; urgency=low

  * Non-maintainer upload from the Zürich BSP.
  * Don't build-depends on libselinux1-dev on kfreebsd-amd64. Closes:
    #361464.
  * Apply patch by Steve Langasek to switch to db4.6 (Closes: #441624):
    - Replaced 040-db4.3_api_change.patch with 040-db4.patch,
      020-db4.3_usage.patch with 020-db4.patch.
  * Add Swedish translation from Daniel Nylander (Closes: #386615).
  * Fix selinux detection in debian/patches/070-selinux.patch (Closes: 
    #344277).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Jan 2008 13:16:01 +0100

libnss-db (2.2.3pre1-2) unstable; urgency=high

  * Renumbered Debian patches.
  * Modified 060-errno.patch:
    - Do not remove errnop variable. It causes fatal error on amd64. Just
      set errno to ENOENT by default. Closes: #341773.
  * Modified 070-selinux.patch:
    - Fix configure script for SELinux and fix FTBFS on hurd-i386.
      Closes: #322190.
  * Removed 120-gettextize.patch:
    - Call gettextize in build time with a little help of IPC::Run.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 19 Dec 2005 11:45:15 +0100

libnss-db (2.2.3pre1-1) unstable; urgency=low

  * New maintainer release. Closes bugs fixed by previous NMUs.
    Closes: #146707, #165298, #168532, #173082, #284859, #309492.
  * New upstrem release.
  * The source package converted to yada.
  * The source is adapted to the latest automake. Closes: #114936.
  * debian/packages:
    - Build-Depends: autoconf, automake1.9, libtool, gettext, perl, libdb4.3-dev, libselinux1-dev

