=== debian/control ===
Source: libnss-db
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Section: admin
Priority: standard
Standards-Version: 3.9.8
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 libtool,
 gettext,
 autopoint,
 libdb-dev (>> 4.6),
 libselinux1-dev [linux-any],
 debhelper (>> 9),
 dh-autoreconf,
 libc-dev-bin (>= 2.34)
Homepage: http://www.gnu.org/software/libc/

Package: libnss-db
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: NSS module for using Berkeley Databases as a naming service
 nss_db is a set of C library extensions which allow Berkeley Databases
 to be used as a primary source of aliases, ethers, groups, hosts,
 networks, protocol, users, RPCs, services, and shadow passwords (instead
 of or in addition to using flat files or NIS). Install nss_db if your
 flat name service files are too large and lookups are slow.
