=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_OS), linux)
selinux = --with-selinux
endif

%:
	dh $@ --parallel --with autoreconf --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		$(selinux) \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory=build
	pod2man debian/man/makedb.pod makedb.1

DESTDIR = debian/libnss-db

override_dh_auto_install:
	dh_auto_install --builddirectory=build
	rm -f debian/libnss-db/usr/lib/$(DEB_HOST_MULTIARCH)/libnss_db.so
	install -d -m 755 $(DESTDIR)/etc/default
	install -m 644 debian/conf/default $(DESTDIR)/etc/default/libnss-db
	install -d -m 755 $(DESTDIR)/var/lib/misc
	install -m 644 debian/scripts/db-Makefile $(DESTDIR)/var/lib/misc/Makefile
